pro ssw_index2pfss, sswindex, pfssindex, pfssdata , $
   open_color=open_color, closed_color=closed_color
;
;+
;   Name: ssw_index2pfss
;
;   Purpose: interface from SSW 'index' or 'map' to PFSS derived field lines.
;
;   Input Parameters:
;      sswindex - an ssw 'index' record or Map per D.M.Zarro et al
;
;   Output Parameters:
;     pfssindex - sswindex and pfss parameter derived composite index
;     pfssdata - the 2D field line  projection  
;
;   Keyword Parameters:
;      open_color - if set, value to set OPEN lines
;      closed_color - if set, value to set CLOSED lines
;     
;   History:
;      5-December-2003 - S.L.Freeland - 
;;
common pfss_data_block,br,bth,bph,nlat,nlon,nr,lat,lon,rix,theta,phi,l0,b0,$
   now,phiat,phibt,str,stth,stph,ptr,ptth,ptph,nstep,rimage

if n_params() lt 2 then begin 
   box_message,'IDL> ssw_index2pfss,sswindex,pfssindex,pfssdata [,options]'
   return
endif 

pfssf=pfss_time2file(index)
if pfssf(0) eq '' then begin 
   box_message,'Problem mapping time->pfss field file name'
   return
endif

pfss_restore,index
stop


return
end



